// ExportSingleAction.cpp : implementation file
//

#include "stdafx.h"
#include "hxt.h"
#include "ExportSingleAction.h"
//#include "HashHand.h"
#include "Windows.h"
#include <string.h>
//#include <atlbase.h>
#include "Resource.h"
#include "F_Protos.h"

#include "SDK/HAction.h"
#include "SDK/Misc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ExportSingleAction dialog


//ExportSingleAction::ExportSingleAction(CWnd* pParent /*=NULL*/)
//	: CDialog(ExportSingleAction::IDD, pParent)
ExportSingleAction::ExportSingleAction(HActionCache *hac) :
CPluginDialog( IDD_EXPORTSINGLEACTION, CWnd::FromHandle(GetMainApplicationWnd()) )
{
	//{{AFX_DATA_INIT(ExportSingleAction)
	m_animtiming = 0;
	m_directxtype = -1;
	m_fileexptype = -1;
	//}}AFX_DATA_INIT

	m_animtiming = 1;
	//m_animtiming = GetLocalRegistryString("AMXtex .X Plugin", "Anim Timing

	// get the file option
	m_fileexptype = GetLocalRegistryValue("AMXtex .X Plugin", "File Export Type", (int)EFT_NEWCOPY);
	m_directxtype = GetLocalRegistryValue("AMXtex .X Plugin", "DirectX Type", (int)DX_SM);


//   String GetMatchName();
//   String GetFileName();
//   String GetFullName();

	//	m_animationsetname = hac->GetName();
	m_animationsetname = hac->GetMatchName(); // gives full path info - stopped in v10beta6
	m_animationsetname = m_animationsetname.GetNameOnlyWithoutSuffix();
//	m_animationsetname = hac->GetFullName(); // gives full path info
//	m_animationsetname = hac->GetFileName(); // this works w/ v10 beta 6

	m_animationsetname.Replace('(', NULL);
	m_animationsetname.Replace(')', NULL);
	m_animationsetname.Replace('{', NULL);
	m_animationsetname.Replace('}', NULL);
	m_animationsetname.Replace(' ', '_');
	m_animationsetname.Replace('-', '_');

	m_animtiming = GetLocalRegistryValue( "AMXtex .X Plugin", "AnimTiming", 1 );
}


void ExportSingleAction::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ExportSingleAction)
	DDX_Text(pDX, IDC_ANIMTIMING, m_animtiming);
	DDV_MinMaxInt(pDX, m_animtiming, 1, 10000);
	DDX_Radio(pDX, IDC_RADIO1, m_directxtype);
	DDX_Radio(pDX, IDC_RADIO3, m_fileexptype);
	DDX_Text(pDX, IDC_ANIMATIONSETNAME, m_animationsetname);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ExportSingleAction, CDialog)
	//{{AFX_MSG_MAP(ExportSingleAction)
	ON_BN_CLICKED(IDC_HELPBUTTON, OnHelpbutton)
	ON_BN_CLICKED(IDC_ABOUTBUTTON, OnAboutbutton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ExportSingleAction message handlers

void ExportSingleAction::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();

   	m_animationsetname.Replace('(', NULL);
	m_animationsetname.Replace(')', NULL);
	m_animationsetname.Replace('{', NULL);
	m_animationsetname.Replace('}', NULL);
	m_animationsetname.Replace(' ', '_');
	m_animationsetname.Replace('-', '_');

#ifdef AFXMANAGESTATE
AFX_MANAGE_STATE(AfxGetStaticModuleState());
#endif

	SetLocalRegistryValue( "AMXtex .X Plugin", "AnimTiming", m_animtiming );
	//frameunitstring2 = (char*)m_animtiming;
	//frameunitstring = String(frameunitstring2);
	//SetLocalRegistryString("AMXtex .X Plugin", "FrameUnits", frameunitstring);
	SetLocalRegistryValue("AMXtex .X Plugin", "File Export Type", (int)m_fileexptype);
	SetLocalRegistryValue("AMXtex .X Plugin", "DirectX Type", (int)m_directxtype);

}

void ExportSingleAction::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}

void ExportSingleAction::OnHelpbutton() 
{

}

void ExportSingleAction::OnAboutbutton() 
{
	// TODO: Add your control notification handler code here
	AfxMessageBox("AMXtex DirectX .X Exporter for Animation:Master\nVersion 3.0\nCopyright 2001-2006 Christopher J Roy, Obsidian Games\n\nhttp://www.obsidiangames.com", MB_ICONINFORMATION);
	
}

BOOL ExportSingleAction::OnInitDialog() 
{
	CString WindowTitle;
   	CString Username;

	CDialog::OnInitDialog();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

