#if !defined(AFX_EXPORTMODELSDIALOG_H__58C09837_D8D2_11D3_83A5_00E0811049D9__INCLUDED_)
#define AFX_EXPORTMODELSDIALOG_H__58C09837_D8D2_11D3_83A5_00E0811049D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExportModelsDialog.h : header file
//
#include <AfxTempl.h>

#ifndef __STRCLASS_H
#include "StrClass.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// CExportModelsDialog dialog

class HModelCache;
class HObjectCacheContainer;
class CExportModelsDialog : public CDialog
{
// Construction
public:
   CExportModelsDialog(){}   // standard constructor
	CExportModelsDialog(HObjectCacheContainer *hocc);

   void FillCombo(int id);

// Dialog Data
   IEModelParms *m_iemp;
   HObjectCacheContainer *m_hocc;
   String m_dir;
	CCheckListBox	m_checklistbox;
   CList<HModelCache *, HModelCache *> m_selected;

   //{{AFX_DATA(CExportModelsDialog)
	enum { IDD = IDD_EXPORTMODELSDIALOG };
	BOOL	m_generatemodelmaps;
	int	m_maxsize;
	int	m_minsize;
	int		m_subtype;
	BOOL	m_expboneinfo;
	BOOL	m_expmatinfo;
	BOOL	m_expnorminfo;
	BOOL	m_exptexinfo;
	BOOL	m_expvdis;
	int		m_exportstyle;
	BOOL	m_alphasopaque;
	BOOL	m_settextowhite;
	BOOL	m_texturesort;
	int		m_modelorientation;
	BOOL	m_ignoreduplicatenormals;
	BOOL	m_expweightinfo;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CExportModelsDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CExportModelsDialog)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnBrowse();
	afx_msg void OnMaxSize();
	afx_msg void OnMinSize();
	afx_msg void OnGeneratemodelmaps();
	afx_msg void OnExpmatinfo();
	afx_msg void OnExptexinfo();
	afx_msg void OnExpnorminfo();
	afx_msg void OnExpvdis();
	afx_msg void OnSettextowhite();
	afx_msg void OnSetalphasopaque();
	afx_msg void OnTexturesort();
	afx_msg void OnExpbonenifo();
	afx_msg void OnAbout();
	afx_msg void OnIgnoreduplicatenormals();
	afx_msg void OnRadio2();
	afx_msg void OnRadio1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXPORTMODELSDIALOG_H__58C09837_D8D2_11D3_83A5_00E0811049D9__INCLUDED_)
